Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454042 - "Failed to Initialize Drive" Error for DVD/CD-RW ROM.
Summary: "Failed to Initialize Drive" Error for DVD/CD-RW ROM.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 02:48 UTC by michael i
Modified: 2009-06-10 15:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 15:40:42 UTC


Attachments (Terms of Use)
udev script (deleted)
2008-07-05 09:14 UTC, martin coker
no flags Details

Description michael i 2008-07-04 02:48:22 UTC
Description of problem:
After a recent update from July 3, trying to burn an ISO, the error "Failed to
Initialize Drive" popped up from using Brasero. A similar error occurs while
trying to burn with Nautilus. Upon ejecting, the drive shuts immediately, and
can only be unmounted manually via the command line.

How reproducible:
Every attempt to burn received the same error.

Steps to Reproduce:
1. Attempt to write data to CD/DVD.
2. Eject media.
  
Actual results:
No data is copied, and drive fails to unmount, closing on disk.

Expected results:
Data gets written to disk, eject disk successfully.

Comment 1 martin coker 2008-07-04 15:05:32 UTC
Joining this bug as I have this eject and burning problem since update 4th july
on intel duo F9 x86_64 and Amd64 F9 x86_64 as well. Real pain as I have
successfully managed to wipe out my burners on both machines by the updating.
Have to boot to windows till fix I suppose.

Comment 2 Mark Schlegel 2008-07-05 02:35:30 UTC
Or set the driver writable via chmod

chmod +w /dev/sr0



Comment 3 martin coker 2008-07-05 09:14:41 UTC
Created attachment 311062 [details]
udev script

From line 218 not being recognised in my text edotor as script

Comment 4 martin coker 2008-07-05 09:19:42 UTC
Seemed to have mucked up the above post. Should say that I was looking at udev
rules etc to see if I could trace a problem that may be causing this cd/dvd
error. The chmod only works for the disc in the machine and the wrote
permissions get set back on eject if you can actually get the disc out quick
enough.Anyway looking around it seems to me that a whole set of code is not
getting recognised. I jsut wonder if this may be having an impact.

Comment 5 Richard Körber 2008-07-05 14:46:22 UTC
I can confirm this bug on a F9 x86_64 installation, starting after the July 3rd
update. After downgrading the udev package from udev-124-1.fc9.1.x86_64 to
udev-120-5.20080421git.fc9.x86_64, everything was working fine again. 

Comment 6 martin coker 2008-07-05 16:02:55 UTC
Can you give me the command line to do this. I keep getting the error
libc.so.6.1 with several (64 bit) options is required. I have downloaded the git
rpm above.

Comment 7 Richard Körber 2008-07-05 16:48:36 UTC
I did the downgrade with

rpm -Uvh --oldpackage
http://download.fedora.redhat.com/pub/fedora/linux/releases/9/Fedora/x86_64/os/Packages/udev-120-5.20080421git.fc9.x86_64.rpm

Comment 8 martin coker 2008-07-05 17:42:16 UTC
Thank you it worked a dream

Comment 9 michael i 2008-07-05 18:34:37 UTC
Downgrading worked with the x86 package as well. Thank you for your help.

Comment 10 michael i 2008-07-06 17:07:03 UTC
Todays upgrade to udev-124-1.fc9.2 fixed the issues with burning CDs/DVDs, but
the ejection issue still remains, although it's simple enough to unmount
manually for now.

Comment 11 martin coker 2008-07-07 09:00:56 UTC
I do not know if this helps or still applies, before I downgraded I discovered
that ejecting from front panel of the drives would still grab back, but if
before the disk was read again I ejected a second time the tray would remain open. 

I am still in 2 minds whether to bother with udev-124-1.fc9.2 as it looks as if
this is only a temp fix, but now I know how to downgrade I suppose not too much
of an issue.

Comment 12 Roman Rakus 2008-08-05 08:58:17 UTC
So it is issue with udev? Changing component to udev...

Comment 13 Jonathan Kamens 2008-08-06 23:10:15 UTC
I have udev-124-1.fc10.i386 and I am still having the DVD burning problem.  The DVD devices aren't getting chown'd to me when I put in a DVD, they're staying owned by root, which is why I can't write to the DVD.

Comment 14 Harald Hoyer 2009-01-20 11:43:41 UTC
Please provide the output of:

$ getfacl /dev/cdrom

Comment 15 Bug Zapper 2009-06-10 01:54:31 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Jonathan Kamens 2009-06-10 15:40:42 UTC
I'm pretty certain this is fixed in F11.


Note You need to log in before you can comment on or make changes to this bug.